//tag规则 release-v188.14.*
const TaskBase=require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class TmtransferTask extends TaskBase{
  constructor(){
    super(TaskBase.getServiceName(TmtransferTask));
    this.restclient = system.getObject("util.restClient");
    this.transferurl = settings.reqTransferurl();
  }
  formatedTaskName (taskName) {
    console.log("formatedTaskName", taskName)
    return taskName + "|i|20"
  }

  async subDoTask(params){
    console.log(params);
    console.log("TestTask1.....");
    var url = this.transferurl + "api/transfer/tradeApi/uppaymentstatus";
    this.restclient.execGet(null, url);
    return system.getResultSuccess();
  }
}
module.exports=TmtransferTask;
